# RemoteFile.RemoteFileOutputStream (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class RemoteFile.RemoteFileOutputStream

    java.lang.Object
      java.io.OutputStream
          net.schmizz.sshj.sftp.RemoteFile.RemoteFileOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  RemoteFile

    public class RemoteFile.RemoteFileOutputStream

extends OutputStream

Constructor Summary
`RemoteFile.RemoteFileOutputStream()`
`RemoteFile.RemoteFileOutputStream(long fileOffset)`

Method Summary
`void` `write(byte[] buf, int off, int len)`
`void` `write(int w)`

Methods inherited from class java.io.OutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteFile.RemoteFileOutputStream

    public RemoteFile.RemoteFileOutputStream()

### RemoteFile.RemoteFileOutputStream

    public RemoteFile.RemoteFileOutputStream(long fileOffset)

Method Detail

### write

    public void write(int w)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.